Metafunction
Id
Type of an object that represents an id.
Id<T>::Type
Include Headers
seqan/basic.h
Parameters

T | Type for which a suitable id type is determined.

Remarks
The id type of a container is the type that is used to uniquely identify its elements. In most cases this type is unsigned int.
Return Values

Type | Id type.

Functions

assignValueById | Adds a new string to the StringSet and returns an id.
assignValueById | Adds a new string to the StringSet and returns an id.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
getProjectedPosition | Projects a position of one sequence taking part in a pairwise match onto the other sequence.
getValueById | Retrieves a string from the StringSet given an id.
idToPosition | Retrieves the position of a string in the StringSet given an id.
removeValueById | Removes a string from the StringSet given an id.
valueById | Retrieves a string from the StringSet given an id.

Examples
Id<Graph<> >::Type id; //id has type unsigned int
SeqAn - Sequence Analysis Library - www.seqan.de

Page built @2012/03/14 16:34:50